Foreman - Bug #5258

Can't edit a host, suspect its due to an IPMC/BMC interface
04/21/2014 06:38 PM - Lee Thompson

Status: Closed

Priority: Urgent

Assignee: Joseph Magen

Category: Host creation

Target version: 1.5.0

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.5.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Have a working host with 3 NIC's. Two are normal interface, one is a BMC interface (IPMI). When | go to edit the host definition |
get a NoMethodError.

This is with Foreman 1.5.0 rc1

NoMethodError

undefined method "title' for #<Subnet:0x00000009ea04£f8>

app/helpers/layout_helper.rb:110:in “"block in select_f'

app/helpers/layout_helper.rb:157:in “block (3 levels) in field'
app/helpers/layout_helper.rb:156:in "block (2 levels) in field'
app/helpers/layout_helper.rb:149:in “block in field'

app/helpers/layout_helper.rb:148:in "field'

app/helpers/layout_helper.rb:108:in "select_f'

app/views/hosts/_interfaces.html.erb:13:in “block in _app_views_hosts_ interfaces_html_erb__ 23290
83320204774303_78228160"

app/views/hosts/_interfaces.html.erb:3:in ' _app_views_hosts__interfaces_html_erb__ 232908332020477
4303_78228160"

app/views/hosts/_unattended.html.erb:31:in ‘block (2 levels) in _app_views_hosts__unattended_html_
erb_ 3358788842323718793_70200440300620"

app/views/hosts/_unattended.html.erb:30:1in “block in _app_views_hosts__unattended_html_erb__ 335878
8842323718793_70200440300620"

app/views/hosts/_unattended.html.erb:15:in ' _app_views_hosts_ unattended_html_erb_ 335878884232371
8793_70200440300620"

app/views/hosts/_form.html.erb:92:in “block (2 levels) in _app_views_hosts_ form_html_erb_ 3635596
562362264948_83193480"

app/helpers/layout_helper.rb:248:in " form_for'

app/views/hosts/_form.html.erb:8:in “block in _app_views_hosts__form_html_erb_ 3635596562362264948
83193480

app/models/taxonomy.rb:48:in "block (2 levels) in as_taxonomy'
app/models/concerns/foreman/thread_session.rb:143:in “as_location'

app/models/taxonomy.rb:47:in “block in as_taxonomy'
app/models/concerns/foreman/thread_session.rb:108:in “as_org'

app/models/taxonomy.rb:46:in " as_taxonomy'

app/views/hosts/_form.html.erb:6:in " _app_views_hosts__form_html_erb_ 3635596562362264948_83193480
L}

app/views/hosts/edit.html.erb:9:1in ' _app_views_hosts_edit_html_erb__ 3896782749151053234_83134680"'
app/models/concerns/foreman/thread_session.rb:33:in “clear_thread’
lib/middleware/catch_json_parse_errors.rb:9:in “call'
fixes #5258 - Can't edit a host due to IPMC/BMC interface form error
fixes #5258 - Can't edit a host due to IPMC/BMC interface form error

(cherry picked from commit e029bc8cd326ba759698f4684006107b626aaeb8)

History

#1 - 04/21/2014 07:11 PM - Lee Thompson

Here is the reference to title
https://github.com/theforeman/foreman/blob/develop/app/views/hosts/_interfaces.html.erb#L.13

#2 - 04/21/2014 07:31 PM - Lee Thompson

I'm getting this on any multi-homed host. Work around is to reprovision the host with only one NIC defined in Foreman

#3 - 04/22/2014 09:24 AM - Dominic Cleal
- translation missing: en.field_release set to 4
Lee Thompson wrote:

Here is the reference to title
https://github.com/theforeman/foreman/blob/develop/app/views/hosts/_interfaces.html.erb#L 13

Hm yes, app/views/common/_domain.html.erb uses to_label.

#4 - 04/22/2014 12:57 PM - Joseph Magen
- Status changed from New to Assigned

- Assignee set to Joseph Magen

| got this error now. I'll fix it.

#5 - 04/22/2014 01:40 PM - Joseph Magen
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1397

#6 - 04/22/2014 01:40 PM - Joseph Magen

- Target version set to 1.8.4

#7 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#8 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#9 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#10 - 04/25/2014 10:31 AM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e029bc8cd326ba759698{4684006107b626aaeb8.
